data = input("Inserisci la tua data di nascita (formato AAAA MM GG): ")

data_raw = data.replace(" ","")

def somma_data(data_da_sommare):
    data = 0
    for ch in data_da_sommare:
        data += int(ch)

    return data

a = somma_data(data_raw)

while a >= 10:
    a = somma_data(str(a))

print("La cifra della vita è:", a)